package com.yeejoin.amos.api.tool.face.orm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import org.typroject.tyboot.core.rdbms.orm.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
/**
 * @author r
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("studio_data_api")
public class ApiList extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     *接口来源
     */
    @TableField("api_source")
    private String apiSource;

    /**
     *接口名称
     */
    @TableField("api_name")
    private String apiName;

    /**
     *接口方法
     */
    @TableField("http_method")
    private String httpMethod;

    /**
     *接口地址
     */
    @TableField("api_path")
    private String apiPath;

    /**
     *响应方式
     */
    @TableField("res_type")
    private String resType;
}
