package com.yeejoin.amos.api.tool.face.orm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import org.typroject.tyboot.core.rdbms.orm.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
/**
 * @author r
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("studio_template_category")
public class TplCate extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     *设计器名称
     */
    @TableField(exist = false)
    private String designerName;
    /**
     *所属模板分类
     */
    @TableField("CATEGORY_NAME")
    private String categoryName;

    /**
     *设计器分类
     */
    @TableField("DESIGNER_TYPE")
    private String designerType;

    /**
     *模板类型
     */
    @TableField("TEMP_TYPE")
    private String tempType;

    /**
     *是否删除
     */
    @TableField("IS_DELETE")
    private Boolean isDelete;



    /**
     *图标
     */
    @TableField("ICON")
    private String icon;


}
