package com.yeejoin.amos.api.tool.face.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.api.tool.face.model.ApiListModel;
import com.yeejoin.amos.api.tool.face.orm.dao.ApiListMapper;
import com.yeejoin.amos.api.tool.face.orm.entity.ApiList;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.List;
/**
 * 服务实现类
 *
 * @author r
 */
@Service
public class ApiListService extends BaseService<ApiListModel, ApiList, ApiListMapper>  {
    /**
     * 分页查询
     */
    public Page<ApiListModel> queryForApiListPage(Page<ApiListModel> page, String apiSource)   {
        return this.queryForPage(page, null, false, apiSource);
    }

    /**
     * 列表查询 示例
     */
    public List<ApiListModel> queryForApiListList()   {
        return this.queryForList("" , false);
    }
}
