package com.yeejoin.amos.api.tool.face.service;

import com.yeejoin.amos.api.tool.face.model.ApiTreeModel;
import com.yeejoin.amos.api.tool.face.orm.dao.ApiTreeMapper;
import com.yeejoin.amos.api.tool.face.orm.entity.ApiTree;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.List;
/**
 * 服务实现类
 *
 * @author r
 */
@Service
public class ApiTreeService extends BaseService<ApiTreeModel, ApiTree, ApiTreeMapper>  {

    /**
     * 列表查询 示例
     */
    public List<ApiTreeModel> queryForApiTreeList()   {
        return this.queryForList("" , false);
    }

    public String queryCodeBySeq(long sequenceNbr){

        ApiTreeModel model = this.queryModelByParams(sequenceNbr);
        return model.getCode();
    }
}
