package com.yeejoin.amos.api.tool.face.service;

import com.yeejoin.amos.api.tool.face.model.DesignerModel;
import com.yeejoin.amos.api.tool.face.model.TplCateModel;
import com.yeejoin.amos.api.tool.face.model.TplTreeModel;
import com.yeejoin.amos.api.tool.face.orm.dao.DesignerMapper;
import com.yeejoin.amos.api.tool.face.orm.entity.Designer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.ArrayList;
import java.util.List;
/**
 * 服务实现类
 *
 * @author r
 */
@Service
public class DesignerService extends BaseService<DesignerModel, Designer, DesignerMapper>  {

    @Autowired
    TplCateService tplCateService;


    /**
     * 列表查询 示例
     */
    public List<DesignerModel> queryForDesigner()   {
        return this.queryForList("" , false);
    }

    public List<TplTreeModel> getList(){
        List<TplTreeModel> treeList = new ArrayList<TplTreeModel>();
        List<TplCateModel> tplCateModels = tplCateService.queryForTplCateList();
        List<DesignerModel> designerModels = this.queryForDesigner();
        for(int i = 0 ; i < designerModels.size() ; i++){
            TplTreeModel tplTreeModel1 = new
                    TplTreeModel(designerModels.get(i).getSequenceNbr(), 0L,
                    designerModels.get(i).getDesignerName(),designerModels.get(i).getDesignerType());
            for(int j = 0, index = 0; j < tplCateModels.size(); j++){
                if(tplCateModels.get(j).getDesignerType().equals(tplTreeModel1.getDesignerType())){
                    TplTreeModel tplTreeModel2 = new
                            TplTreeModel(tplCateModels.get(j).getSequenceNbr(),tplTreeModel1.getSequenceNbr(),
                            tplCateModels.get(j).getCategoryName(),tplTreeModel1.getDesignerType(),null);
                    tplTreeModel1.getChildren().add(index++,tplTreeModel2);
                }
            }
            treeList.add(i,tplTreeModel1);
        }
        return treeList;
    }


}
