package com.yeejoin.amos.api.tool.face.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.api.tool.face.model.TplListModel;
import com.yeejoin.amos.api.tool.face.orm.dao.TplListMapper;
import com.yeejoin.amos.api.tool.face.orm.entity.TplList;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.util.List;
/**
 * 服务实现类
 *
 * @author r
 */
@Service
public class TplListService extends BaseService<TplListModel, TplList, TplListMapper>  {
    /**
     * 分页查询
     */
    public Page<TplListModel> queryForTplListPage(Page<TplListModel> page, Long categorySeq, String displayName)   {
        return this.queryForPage(page, null, false,categorySeq,displayName);
    }

    /**
     * 列表查询 示例
     */
    public List<TplListModel> queryForTplListList()   {
        return this.queryForList("" , false);
    }

    private String readLocalJSONFile(String path) throws FileNotFoundException {
        FileReader fileReader = new FileReader("static/test.json");
        return fileReader.toString();
    }

}
