package com.yeejoin.amos.api.tool.face.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.typroject.tyboot.core.rdbms.model.BaseModel;

/**
 * @author r
 */
@Data

@ApiModel(value = "ApiListModel", description = "")
public class ApiListModel extends BaseModel {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "接口来源")
    private String apiSource;

    @ApiModelProperty(value = "接口名称")
    private String apiName;

    @ApiModelProperty(value = "接口方法")
    private String httpMethod;

    @ApiModelProperty(value = "接口地址")
    private String apiPath;

    @ApiModelProperty(value = "响应方式")
    private String resType;


}
